#!/bin/sh

# Add /usr/share/lyx/fonts to /etc/fonts/local.conf
# if it is not already there.
if [ -f /etc/fonts/local.conf ]; then
    grep -q /usr/share/lyx/fonts /etc/fonts/local.conf
    if [ $? -ne 0 ]; then
	sed 's/^<\/fontconfig>/<dir>\/usr\/share\/lyx\/fonts<\/dir>
<\/fontconfig>/' /etc/fonts/local.conf > /etc/fonts/local.conf.tmp
	mv -f /etc/fonts/local.conf.tmp /etc/fonts/local.conf
	fc-cache /usr/share/lyx/fonts
    fi
fi
    
rm -f /usr/share/icons/hicolor/icon-theme.cache
